.i1906-component {
  position: relative;
  width: calc(100% - 340px);
  align-self: start;
  padding-left: 20%;

  &--header {
    text-align: center;
    margin: 0 auto;
    padding-top: 2em;

    h1 {
      text-transform: uppercase;
      font-size: 2rem;
      color: #9EA850;
      font-weight: 700;

      &:first-child {
        color: #62812E
      }
    }

    img {
      width: 80%;
      max-height: 220px;
      object-fit: contain;
      margin: 0 auto;
    }
  }

  &--contain-products-arrow {
    display: none;
  }

  &--content {
    color: #484848;
    padding: 0 1em;

    h2 {
      border: 3px solid #484848;
      color: #484848;
      font-weight: 600;
      width: max-content;
      margin: 0 auto 1em auto;
      padding: .2em 2em;
    }

    p {
      padding: 0 35px;
      text-align: center;
      font-size: 1em;
    }

    &-specifications {
      font-style: italic;
      font-weight: 500;
      color: #532C2E;
      line-height: 1em;
      margin-top: 2em;
    }
  }

  &--products {
    border-top: 1px solid #532C2E;
    margin: 2em auto;
    display: grid;
    width: calc(100% - 120px);

    grid-template-columns: 1fr 1fr;
    gap: 2em;
    text-align: center;

    &-btn-next {
      display: none;
    }


    &-item {
      margin-top: 1em;
      color: #532C2E;
      position: relative;

      &-active::after {
        content: '';
        position: absolute;
        width: 80%;
        margin: 0 10%;
        height: 5px;
        background: #F4C710;
        left: 0;

        @media screen and (min-width: 1360px) {
          width: 60%;
          margin: 0 20%;
        }
      }

      img {
        width: 180px;

        @media screen and (min-width: 1360px) {
          width: 200px;
        }
      }

      span {
        @include vert-center;
        cursor: pointer;
        align-items: center;
        right: 0;
        top: 0;
        position: absolute;
        color: #fff;
        background: #484848;
        border-radius: 50%;
        width: 32px;
        height: 32px;
        font-size: 2em;
        font-style: italic;
        font-weight: 700;
        font-family: serif;

        @media screen and (min-width: 1360px) {
          right: 2em;
        }
      }

      h2 {
        font-weight: 700;
      }
    }
  }

  @media screen and (max-width: 996px) {
    width: 100%;
    align-self: start;
    padding-left: 0;
    height: 100%;
    overflow: hidden;

    &--content {
      height: 30vh;
      overflow: auto;
      transition: all ease-in .5s;

      &-open-product {
        height: 0;
      }

      p {
        padding: 0 5px;
      }
    }

    &--header {
      padding-top: 30px;

      h1 {
        font-size: 1.5em;
      }

      img {
        transition: all ease-in .5s;
        width: 100%;
        height: 137px;
      }

      &-img-open-product {
        img {
          height: 0;
        }
      }
    }

    &--contain-products {
      margin-top: 0;
      padding-bottom: 10px;
      position: relative;
      top: 0;
      width: 100vw;
      background: url('../../../../assets/img/matas.png') no-repeat #f3f3f3;
      background-size: 100%;
      background-position: center top;
      @include open-matas;
      height: 120px;

      &-arrow {
        display: block;
        background: #532C2E;
        position: relative;
        margin-top: 20px;
        height: 15px;
        width: 100%;
        box-shadow: 14px 0px 19px #0000007E;

        span {
          position: absolute;
          width: 30px;
          height: 30px;
          top: -10px;
          left: calc(50% - 15px);
          font-size: 22px;
          z-index: 2;
          color: #fff;
          background: #532C2E;
          border-radius: 50%;
          display: flex;
          justify-content: center;
          align-items: center;
        }

        &-open {
          span {
            transition: transform ease-in .5s;
            transform: rotate(180deg);
          }
        }
      }

      &-open {
        height: 100%;
      }
    }

    &--products {
      margin: 0 auto;
      border: none;
      height: 100%;
      overflow-x: auto;
      width: 90%;
      gap: .5em;
      text-align: center;

      img {
        width: 100px;
      }

      &-btn-next {
        display: block;
        position: sticky;
        transition: all ease-in .5s;
        top: 0;
        z-index: 1;
        width: 100%;
        padding: 3px 2em;
        margin: auto;
        font-size: larger;
        margin-bottom: 1em;
        border-radius: 3px;
        background: #F2CB0E;
        font-weight: bold;
        color: #532C2E;

        &:disabled,
        &[disabled] {
          background: #CCCCCC;
          color: #9B9B9B;
        }
      }

      &-open {
        height: 120px;
      }
    }

    &--hide-form {
      .contact-component {
        display: none;
      }
    }
  }
}